## ----echo=F---------------------------------------------------------------------------
#unha vez que se ten o codigo listo, e de cara a sacar un documento limpo podense inicializar uns
#parámetros, que me eviten a apariciónde avisos, a non ser que sexan erros 
knitr::opts_chunk$set(warning=FALSE)
knitr::opts_chunk$set(message=FALSE)
#que significa knitr::algo_mais?
#ese par de "dous puntos" indica que queremos usar un comando dun paquete 
#que non está subido á memoria con library. Só nos interesa puntualmente, 
#polo que só usamos ese comando con referencia ao nome do paquete


## -------------------------------------------------------------------------------------
#cargar quantmod, para ver ben os datos
library(quantmod)
#Cargar os datos e os resultados gardados:
load("resultados_apartado1a.Rdata")



## -------------------------------------------------------------------------------------
#Primeiro calculalos
cadrado1=residuos1^2


## -------------------------------------------------------------------------------------
#graficar os cadrados dos residuoss
plot(cadrado1)


## -------------------------------------------------------------------------------------
## Hai autocorrelacion?
#Ljung-Box
Box.test(cadrado1,lag=10)


## -------------------------------------------------------------------------------------
library(fGarch)
(modeloA <- garchFit(data=serie,formula=serie~arma(2,0)+garch(1,1),trace=F,include.mean=F))
#trace=F implica que as saidas serán máis simples
#include.mean=F implica que non consideramos  no modelo o término independente da parte ARMA
# summary(modelo)


## -------------------------------------------------------------------------------------
(modeloB <- garchFit(data=serie,formula=serie~arma(1,0)+garch(1,1),trace=F,include.mean=F))


## -------------------------------------------------------------------------------------
# comprobación do modelo A
summary(modeloA)


## -------------------------------------------------------------------------------------
#comprobación:
summary(modeloB)

